program latcontst;

%include lb:[22,320]general3.typ;

var
  error_at	: integer;
  i		: integer;

%include de:[22,320]latcon.ext;
%include lb:[22,320]alun.ext;
%include de:[22,320]qioatt.ext;
%include de:[22,320]latdis.ext;

begin
  alun(1,'ZZ',0);
  writeln('ALUN:',$dsw);
  write('Enter 1 to continue:');
  readln(i);
  qioatt(1,f2);
  writeln('ATTACH:',$dsw);
  latdis(1,f2);
  writeln('DISCONNECT:',$dsw);
  write('Enter 1 to continue:');
  readln(i);
  qioatt(1,f2);
  writeln('ATTACH:',$dsw);
  latcon(1,'CHAOS           ','PORT_8          ',f2,error_at);
  writeln('CONNECT:',error_at,'  $DSW:',$dsw);
  write('Enter 1 to continue:');
  readln(i);
end.
